Subject: Re: [PATCH 1/2] powerpc: don't pass unused regs around in head_.*.S

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 14 Oct 2008 10:25:12 +1100

On Sun, 2008-10-12 at 16:08 +0200, Sebastian Andrzej Siewior wrote:
> From: Sebastian Andrzej Siewior <[email-masked]>
> 
> This looks like a relict from arch/ppc. machine_init() is accepting
> only two parameters (dtb, phys) and is using only the first one.

This isn't 100% correct actually...

First, the base head_32.S (could be called head_6xx.S I suppose)
supports a few more calling conventions such as the real OF one, with
added support for initrd and cmdline in registers , and the BootX one.

Then, calling convention for the other cases is slightly better defined
than just having r3 contain a device-tree pointer. The physical address
is an important part of it, the fact that r5 is NULL to differenciate
from an OF entry too, and we're moving toward the full ePAPR definition.

Cheers,
Ben.